<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <title>Users Management</title>
    <link href="/master.css" rel="stylesheet"/>
    <script src="/common.js" defer></script>
</head>
<body>
    <div class="buttons">
        <button onclick="operations.new()">New</button>
        <button onclick="operations.edit()">Edit</button>
        <button onclick="operations.find()">Find</button>
        <button onclick="operations.delete()">Delete</button>
    </div>
    <div id="id" class="form">
        <label for="id_input">ID: </label><input type="number" id="id_input"/>
    </div>
    <div id="new" class="form">
        <label for="first_input">First </label><input type="text" id="first_input"/>
        <label for="last_input">Last: </label><input type="text" id="last_input"/>
        <label for="email_input">Email: </label><input type="email" id="email_input"/>
    </div>
    <button id="commit" onclick="operations.commit()">Commit</button>
    <table id="view">
    </table>
</body>
</html>